# Root logger option
log4j.rootLogger=INFO, fileAppender, consoleAppender, stdout
#log4j.rootLogger=DEBUG, api_portal
log4j.appender.api_portal=org.apache.log4j.DailyRollingFileAppender
log4j.appender.api_portal.layout=org.apache.log4j.PatternLayout
log4j.appender.api_portal.File=logs/api_portal/api_portal.log
log4j.appender.api_portal.layout.ConversionPattern=%d{dd MMM yyyy, HH:mm:ss,SSS} %m%n
log4j.appender.api_portal.Encoding=UTF-8
log4j.appender.api_portal.DatePattern='.'yyyy-MM-dd

log4j.logger.org.mongodb.driver=INFO

# Redirect log messages to console
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target=System.out
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %-5p %c{1}:%L - %m%n

# user core logger
log4j.logger.user_core=DEBUG, user_core
log4j.appender.user_core=org.apache.log4j.DailyRollingFileAppender
log4j.appender.user_core.layout=org.apache.log4j.PatternLayout
log4j.appender.user_core.File=logs/user_core/user_core.log
log4j.appender.user_core.layout.ConversionPattern=%d{dd MMM yyyy, HH:mm:ss,SSS} %m%n
log4j.appender.user_core.Encoding=UTF-8
log4j.appender.user_core.DatePattern='.'yyyy-MM-dd

# api logger
log4j.logger.api=DEBUG, api
log4j.appender.api=org.apache.log4j.DailyRollingFileAppender
log4j.appender.api.layout=org.apache.log4j.PatternLayout
log4j.appender.api.File=logs/api/api.log
log4j.appender.api.layout.ConversionPattern=%d{dd MMM yyyy, HH:mm:ss,SSS} %m%n
log4j.appender.api.Encoding=UTF-8
log4j.appender.api.DatePattern='.'yyyy-MM-dd

org.eclipse.jetty.util.log=org.eclipse.jetty.util.log.Slf4jLog